@ECHO OFF
REM Default Values
set TollringFolder=C:\tollring
set TollringSQL=C:\Program Files\Microsoft SQL Server\MSSQL10_50.TOLLRINGSQL\MSSQL\DATA
set RemoteShareName=temp
set RemoteShare=C:\temp

Echo *******************************************
Echo ***					***
Echo ***	Tollring Site Move Server Side	***
Echo ***					***
Echo *******************************************
echo Please have Tollring Installed already.
echo This will replace the database with the old database. (Any information on this machine will not be accessible.)
echo Please enter the shared folder which will have read/write access (normally just %RemoteShare%, Just Press Enter)
set /p RemoteShare="Enter Remote Share Folder (Press enter for %RemoteShare%): " || Set Remoteshare=C:\temp
echo Attempting to access: %RemoteShare% 
IF NOT EXIST %RemoteShare%\ ECHO Couldn't Access \%RemoteShare% , Can't Continue.
IF EXIST %RemoteShare%\ ECHO Got Access %RemoteShare% , Good to continue.
echo Creating Share Folder.
net share %RemoteShareName%=%RemoteShare% /grant:everyone,FULL
echo Please run the other batch file on the old machine with the following details.
for /f "tokens=1-2 delims=:" %%a in ('ipconfig^|find "IPv4"') do set ip=%%b
set ip=%ip:~1%
echo IP: %ip%
echo RemoteShare: %RemoteShareName%
echo Do not continue until the client side is done. 
pause
echo Please note we will stop the services for tollring while transfer is happening.
echo Tollip, TollLgCap, VRpraser, TollVRParser may fail to stop depending on system/version type. Don't worry.
echo If your ready to start.
pause
echo ****************
echo Stopping services.
@ECHO ON
net stop TollringAlarmsservice
net stop Tollip
net stop TollLgCap
net stop Tollsip
net stop TollringCR
net stop TollringCRMUpdate
net stop TollringSchedular
net stop MSSQL$TOLLRINGSQL
net stop VRparser
net stop TollVRParser
@ECHO OFF
echo Services Stopped.
echo ****************
echo Now Copying Voice Files, Please note alot of files will start appearing.
pause /t 5
echo Command: robocopy "%RemoteShare%\vr\Files" "%TollringFolder%\vr\Files" /E /MOVE
robocopy "%RemoteShare%\vr\Files" "%TollringFolder%\vr\Files" /E /MOVE
echo Voice Files Complete.
echo ****************
echo Now Copying The HistoryFolder.
echo Command:robocopy "%RemoteShare%\History" "%TollringFolder%\history" /E /MOVE
robocopy "%RemoteShare%\History" "%TollringFolder%\history" /E /MOVE
echo Done Copying the HistoryFolder.
echo ****************
REM Made by Stuart
echo Now Copying the Backup Folder.
echo Command: robocopy "%RemoteShare%\backup" "%TollringFolder%\backup" /E /MOVE
robocopy "%RemoteShare%\backup" "%TollringFolder%\backup" /E /MOVE
echo Done Copying the Backup Folder.
echo ****************
echo Now Copying the Tollring SQL.
rem we need to rename the datebase files that are there before copying the old files.
echo Command: copy "%RemoteShare%\tollring.mdf" "%TollringSQL%\tollring.mdf"
copy "%TollringSQL%\tollring.mdf" "%TollringSQL%\tollringOLD.mdf"
copy "%RemoteShare%\tollring.mdf" "%TollringSQL%\"
echo Command: copy "%RemoteShare%\tollring_log.LDF" "%TollringSQL%"
copy "%TollringSQL%\tollring_log.LDF" "%TollringSQL%\tollring_logOLD.LDF"
copy "%RemoteShare%\tollring_log.LDF" "%TollringSQL%\"
echo Copying Complete
echo ****************
echo Starting Services.
echo Tollip, TollLgCap, VRpraser, TollVRParser may fail to start depending on system/version type. Don't worry.
@ECHO ON
net start MSSQL$TOLLRINGSQL
net start TollringAlarmsservice
net start Tollip
net start TollLgCap
net start Tollsip
net start TollringCR
net start TollringCRMUpdate
net start TollringSchedular
net start VRParser
net start TollVRParser
@ECHO OFF
echo Services Started.
echo ****************
echo Creating tollring share (Read only)
net share Tollring=%TollringFolder% /grant:everyone,READ
echo Just note you will need to rerun the TollSIPsetup.exe if SIP as might be incorrect.
echo If you've moved from version 6 to 7 run Updatev7.exe of tollring as this will update the SQL files.
pause