@ECHO OFF
REM Default Values
set TollringFolder=C:\tollring\
set TollringSQL=C:\Program Files\Microsoft SQL Server\MSSQL10_50.TOLLRINGSQL\MSSQL\DATA
set NewIPServer=192.168.1.221
set RemoteShare=temp

Echo *******************************************
Echo ***					***
Echo ***        Tollring Site Move		***
Echo ***					***
Echo *******************************************
echo Please enter the ip address of the new server (Default: %NewIPServer% , Just press Enter).
set /p NewIPServer="Enter IP Of Server: " || Set NewIPServer=192.168.1.221
echo Please enter the shared folder which has read/write access (Normally just %RemoteShare% , Just press Enter)
set /p RemoteShare="Enter Shared Folder Name: " || Set Remoteshare=temp
echo Attempting to access: \\%NewIPServer%\%RemoteShare% 
IF NOT EXIST \\%NewIPServer%\%RemoteShare%\ ECHO Couldn't Access \\%NewIPServer%\%RemoteShare% , Please don't continue. (try connecting manaually then run this again)
IF EXIST \\%NewIPServer%\%RemoteShare%\ ECHO Got access \\%NewIPServer%\%RemoteShare% , Good to continue.
pause
echo Please note we will stop the services for tollring while transfer is happening.
echo If your ready to start.
pause
echo ****************
echo Stopping services.
echo Tollip, TollLgCap, VRpraser, TollVRParser may fail to stop depending on system/version type. Don't worry.
@ECHO ON
net stop TollringAlarmsservice
net stop Tollip
net stop TollLgCap
net stop Tollsip
net stop TollringCR
net stop TollringCRMUpdate
net stop TollringSchedular
net stop MSSQL$TOLLRINGSQL
net stop VRpraser
net stop TollVRParser
@ECHO OFF
echo Services Stopped.
echo ****************
echo Now Copying Voice Files, Please note alot of files will start appearing.
REM "/V is verifies files"
REM "/F Displays each file and where its going to."
REM "/I Assumes destination is a Directory"
REM "/E Copies all subdirectories even if they are empty"
REM "/D Copy only newer files on today"
echo Command: xcopy "%TollringFolder%vr\Files" "\\%NewIPServer%\%RemoteShare%\vr\Files" /V /F /I /E
xcopy "%TollringFolder%vr\Files" "\\%NewIPServer%\%RemoteShare%\vr\Files" /V /F /I /E
echo Voice Files Complete.
echo ****************
echo Now Copying The HistoryFolder.
echo Command: xcopy "%TollringFolder%history" "\\%NewIPServer%\%RemoteShare%\History" /V /F /I /E
xcopy "%TollringFolder%history" "\\%NewIPServer%\%RemoteShare%\history" /V /F /I /E
echo Done Copying the HistoryFolder.
echo ****************
echo Now Copying the Backup Folder.
echo Command: xcopy "%TollringFolder%\backup" "\\%NewIPServer%\%RemoteShare%\backup" /V /F /I /E
xcopy "%TollringFolder%\backup" "\\%NewIPServer%\%RemoteShare%\backup" /V /F /I /E
echo Done Copying the Backup Folder.
echo ****************
echo Now Copying the Tollring SQL.
echo Command: copy "%TollringSQL%\tollring.mdf" "\\%NewIPServer%\%RemoteShare%"
copy "%TollringSQL%\tollring.mdf" "\\%NewIPServer%\%RemoteShare%"
echo Command: xcopy "%TollringSQL%\tollring_log.LDF" "\\%NewIPServer%\%RemoteShare%"
copy "%TollringSQL%\tollring_log.LDF" "\\%NewIPServer%\%RemoteShare%"
echo Copying Complete
echo ****************
REM echo You will have to move the VR folder to the correct folder as well %TollringFolder%vr\files
echo If your moving from version 6 to 7 run LGUpdate7.exe of tollring as this will update the SQL files. (do this last).
pause
exit
